All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
viennacl::result_of Namespace Reference

Namespace containing many meta-functions. More...

## Classes

struct | alignment
| Retrieves the alignment from a vector. Deprecated - will be replaced by a pure runtime facility in the future. More...
struct | cl_type
| Metafunction for deducing the OpenCL type for a numeric type, e.g. float -> cl_float. More...
struct | cpu_value_type
| Helper meta function for retrieving the main RAM-based value type. Particularly important to obtain T from viennacl::scalar<T> in a generic way. More...
struct | size_type
| Generic meta-function for retrieving the size_type associated with type T. More...
struct | value_type
| Generic helper function for retrieving the value_type associated with type T. More...

## Detailed Description

Namespace containing many meta-functions.